#include <SDL3/SDL.h>
#include "types.h"
#include "const.h"
#include <SDL3/SDL_rect.h>
#include <SDL3/SDL_render.h>
#include <iostream>
#include "func.h"
#include <unistd.h>
#include <csignal>




int main() {
	SDL_Init(SDL_INIT_VIDEO);
	sdl_session main_sdl_session;

	main_sdl_session.window = SDL_CreateWindow("pupes screensave", SCREEN_WIDTH, SCREEN_HEIGHT, 0);
	SDL_Renderer *renderer = SDL_CreateRenderer(main_sdl_session.window, "gpu,vulcan");
	
	signal(SIGTERM, exit);
	SDL_FPoint last_pos = {static_cast<float>(get_random_num(0,1920)),static_cast<float>(get_random_num(0,1080))};
	SDL_FPoint new_pos;
	while (true) {

		SDL_SetRenderDrawColor(renderer, get_random_num(0,255), get_random_num(0,255),get_random_num(0,255), SDL_ALPHA_OPAQUE);
		new_pos = {static_cast<float>(get_random_num(0,1920)),static_cast<float>(get_random_num(0,1080))};
		SDL_RenderLine(renderer, last_pos.x ,last_pos.y, new_pos.x,new_pos.y);
		last_pos = new_pos;
		SDL_RenderPresent(renderer);
		usleep(500000);
	}

	std::cin.get();
}
